=== debian/control ===
Source: ros-foxy-rviz2
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-cppcheck <!nocheck>, ros-foxy-ament-cmake-cpplint <!nocheck>, ros-foxy-ament-cmake-lint-cmake <!nocheck>, ros-foxy-ament-cmake-uncrustify <!nocheck>, ros-foxy-geometry-msgs <!nocheck>, ros-foxy-rclcpp <!nocheck>, ros-foxy-rviz-common, ros-foxy-rviz-ogre-vendor, ros-foxy-sensor-msgs <!nocheck>, ros-foxy-ros-workspace
Homepage: https://github.com/ros2/rviz/blob/ros2/README.md
Standards-Version: 3.9.2

Package: ros-foxy-rviz2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-rviz-common, ros-foxy-rviz-default-plugins, ros-foxy-rviz-ogre-vendor, ros-foxy-ros-workspace
Description: 3D visualization tool for ROS.
